Skip to main content

Authenticate with an OTP

POST 

/nevisidm/api/auth/v1/:clientExtId/users/:userExtId/otp/login

Since: 8.2605.0, 9.2605.0

Required permission(s): AccessControl.CredentialView,AccessControl.CredentialChangeState

Verifies the user's OTP response against the previously generated challenge.

The challenge must have been generated using the challenge endpoint before calling this endpoint. The password field contains the OTP value computed by the user's OTP device in response to the challenge. Set updateLoginInfoOnSuccess to true to update the user's and credential's last-login timestamp and success counter on successful authentication.

A 200 response does not mean authentication succeeded. Check the statusCode in the response body. Login failures are returned as statusCode 2 or higher. Pre-condition failures (credential not found, not active, expired) result in 4xx HTTP errors.

Request

Path Parameters

    clientExtId stringrequired

    External ID of the client.

    Example: client-123
    userExtId stringrequired

    External ID of the user.

    Example: user-123

Body

required
    challenge string

    The challenge value received from the server

    password string

    The one-time password provided by the user from the printed card

    updateLoginInfoOnSuccess boolean

    Flag indicating whether to update the login information on successful authentication

Responses

Authentication attempt processed. Check the statusCode in the response body for the actual result.

Schema
    statusCode int32

    Indicates login status after processing update login information.

    description string

    Human readable login status information.

    userExtId string

    External ID of the user.

    clientExtId string

    External ID of the client.

    credentialExtId string

    External ID of the credential, if credential is defined in the request.

    credentialType string

    Type of the credential, if credential is defined in the request.

    userLastLogin date-time

    Time of the user's last successful login, only displayed if the success field in request was true.

    userLastLoginFailure date-time

    Time of the user's last failed login, only displayed if the success field in request was false.

    credentialLastLogin date-time

    Time of the credential's last successful login, only displayed if the success field in request was true and credential is defined in the request.

    credentialLastLoginFailure date-time

    Time of the credential's last failed login, only displayed if the success field in request was false and credential is defined in the request.

    credentialSuccessCounter int32

    Current value of the credential's success counter, only displayed if the success field in request was true and credential is defined in the request.

    credentialFailureCounter int32

    Current value of the credential's failure counter, only displayed if the success field in request was false and credential is defined in the request.

Loading...